<?php
/*
 *	PHP Contest Scoreboard - run contests on your web site
 *
 *	Copyright (C) 2003-2007 Scott Vivian
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *	GNU General Public License for more details.
 */

include_once 'config.php';


if ( isset( $_GET['logout'] ) )
{
	setcookie( $scoreboard['cookie'], '', time()-3600 );
	$Display = 'login';
}

else if ( $_POST['login'] )
{
	// check password
	$password = md5( $_POST['login']['password'] );
	if ( $password != md5( $scoreboard['password'] ) )
	{
		$Display = 'error';
		$Message = 'Incorrect password!';
	}
	else
	{
		// set cookie for 30 mins
		setcookie( $scoreboard['cookie'], $password, time()+1800 );

		$Display = 'welcome';
	}
}

else if ( logged_in() )
{
	// set cookie for 30 mins
	setcookie( $scoreboard['cookie'], md5( $scoreboard['password'] ), time()+1800 );

	// set up new contest
	if ( $_POST['setup'] )
	{
		$Display = 'setup';
	}

	// add contest question(s)
	else if ( $_POST['questions'] )
	{
		$qs = $_POST['questions'];
		$len = count( $qs );

		// validity checking
		$valid = true;
		for ( $i = 0; $i < $len; $i++ )
		{
			$q = trim( str_replace( "\t", ' ', $qs[$i]['name'] ) );
			if ( strlen( $q ) > 0 )
				$qs[$i]['name'] = $q;
			else
				$valid = false;
		}

		if ( $valid )
		{
			//echo '<pre>', print_r( $qs, true ), '</pre>';
			file_write( 'questions_file', $qs );
			$scoreboard['questions'] = $qs;
			$Display = 'welcome';
			$Message = 'New contest successfully started.';
		}
		else
		{
			$Display = 'error';
			$Message = 'There was an error filling in the form; please go back and make sure you filled in all the fields.';
		}

	}

	// mark the current contest
	else if ( $_POST['mark'] )
	{
		$Display = 'mark';
		$Question = 1;
	}

	// close contest and start marking
	else if ( $_POST['close_mark'] )
	{
		close_contest();
		$Display = 'mark';
		$Question = 1;
	}

	// process the marking
	else if ( $_POST['entries'] )
	{
		set_entries( $_POST['entries'] );

		$cur_question = $_POST['entries'][0]['question'] + 1;
		if ( $cur_question < count( $scoreboard['questions'] ) )
		{
			$Display = 'mark';
			$Question = $cur_question + 1;
		}
		else
		{
			if ( !contest_running() )
			{
				// update leader board
				//print_r( $_POST['entries'] );
				set_scores( $_POST['entries'] );

				// remove entries & questions
				file_write( 'questions_file' );
				file_write( 'entries_file' );

				$Display = 'welcome';
				$Message = 'The contest has been closed, marked and the entries updated on the leaderboard.';
			}
			else
			{
				$Display = 'welcome';
				$Message = 'The contest has been marked.';
			}
		}
	}
	else
	{
		$Display = 'welcome';
	}

}
else
{
	$Display = 'login';
}


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-gb" xml:lang="en-gb">

<head>
<title>ScoreBoard <?php echo $scoreboard['version'] ?> - Admin</title>
<link rel="stylesheet" type="text/css" href="stylesheet.css" />
<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="js/scoreboard.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	scoreboard_general()
	scoreboard_mark()
	scoreboard_login()
	scoreboard_setup()
});
</script>
</head>

<body>

<?php

echo '<h1>Contest Scoreboard<br />version ', $scoreboard['version'], '</h1>', "\n";


// default: login page
if ( $Display == 'login' )
{
	echo '<div id="content-box">', "\n";
	echo '<h2>Admin page</h2>', "\n";
	echo '<form action="', $_SERVER['PHP_SELF'], '" method="post">', "\n";

	echo '<fieldset id="login">', "\n";
	echo '<legend>Please log in below</legend>', "\n";
	echo '<div class="required">', "\n";
	echo '	<label for="password">Password:</label>', "\n";
	echo '	<input type="password" id="password" name="login[password]" />', "\n";
	echo '</div>', "\n";
	echo '</fieldset>', "\n";

	echo '<span class="submit button">Login</span>', "\n";

	echo '</form>', "\n";
	echo '</div>', "\n";
}

// welcome page
else if ( $Display == 'welcome' )
{
	echo '<div id="content-box">', "\n";
	echo '<h2>Welcome</h2>', "\n";

	if ( $Message )
	{
		echo message( 'message', $Message );
	}

	if ( contest_running() )
	{
		echo '<p>Welcome to PHP Contest Scoreboard. You currently have a contest running. Please choose from one of the following options:</p>', "\n";

		// mark current entries
		echo '<form action="', $_SERVER['PHP_SELF'], '" method="post" class="action">', "\n";
		echo '<input type="hidden" name="mark" value="y" />', "\n";
		echo '<span title="Marks the current entries to the competition without closing it. Saves you ploughing through a barrage of entries when the contest is over."', "\n";
		echo '	class="submit button">Mark current entries</span>', "\n";
		echo '</form>', "\n";

		// close contest and mark
		echo '<form action="', $_SERVER['PHP_SELF'], '" method="post" class="action">', "\n";
		echo '<input type="hidden" name="close_mark" value="y" />', "\n";
		echo '<span title="Closes the contest before final marking, so that new entries are not added. New question(s) can be set up afterward."', "\n";
		echo '	class="submit button">Close contest &amp; mark</span>', "\n";
		echo '</form>', "\n";
	}
	else
	{
		// set up new contest
		echo '<p>Welcome to PHP Contest Scoreboard. There is no contest set up at the moment.</p>', "\n";
		echo '<form action="', $_SERVER['PHP_SELF'], '" method="post" class="action">', "\n";
		echo '<input type="hidden" name="setup" value="setup" />', "\n";
		echo '<span class="submit button">Start a new contest</span>', "\n";
		echo '</form>', "\n";
	}

	echo '</div>', "\n";
}

// set up new contest, enter questions
else if ( $Display == 'setup' )
{
	echo '<div id="content-box">', "\n";
	echo '<h2>Set up new contest</h2>', "\n";
	echo '<p>Write your question for the new contest below. You can add multiple questions if you like. Note that when removing questions they will be renumbered.</p>', "\n";

	echo '<form action="', $_SERVER['PHP_SELF'], '" method="post" id="question-setup">', "\n";
	echo '<fieldset>', "\n";
	echo '<legend>Question 1</legend>', "\n";
	echo '<input type="hidden" name="questions[0][number]" value="0" />', "\n";
	echo '<input type="text" name="questions[0][name]" />', "\n";
	echo '<input type="hidden" name="questions[0][running]" value="Y" />', "\n";
	echo '</fieldset>', "\n";

	echo '<span class="button" id="question-add">Add another question</span>', "\n";
	echo '<span class="submit button">Finish</span>', "\n";
	echo '</form>', "\n";

	echo '</div>', "\n";
}

// display entries for current competition & question
else if ( $Display == 'mark' && isset( $Question ) )
{
	// entries form
	$entries = get_entries( $Question );
	$num_entries = count( $entries );

	if ( $num_entries > 0 )
	{
		// marking controls
		echo '<h2>Controls</h2>', "\n";
		echo '<div class="info-box">', "\n";

		echo '<form id="controls" action="', $_SERVER['PHP_SELF'], '" method="post">', "\n";
		echo '<fieldset>', "\n";
		echo '<legend title="This will select all answers containing the given keyword. It can be applied multiple times.">Quick mark</legend>', "\n";
		echo '<input type="text" id="quickmark-text" />';
		echo '<span class="submit button" id="quickmark-apply" title="Set answers matching this keyword as correct">Apply</span>', "\n";
		echo '</fieldset>', "\n";

		echo '<fieldset>', "\n";
		echo '<legend title="\'Select all\' can be used for reverse marking, i.e. to deselect incorrect answers.">Other functions</legend>', "\n";
		echo '<span class="button" id="select-all" title="Set all answers as correct">Select all</span>', "\n";
		echo '<span class="button" id="select-none" title="Set all answers as incorrect">Select none</span>', "\n";
		echo '</fieldset>', "\n";
		echo '</form>', "\n";

		echo '</div>', "\n";


		echo '<h2>Question ', $Question, ': <q>',
			str_format( $scoreboard['questions'][$Question-1]['name'] ),
			'</q></h2>', "\n";

		echo '<form id="marker" action="', $_SERVER['PHP_SELF'], '" method="post">', "\n";
		echo '<table id="entries">', "\n";
		echo '<thead>', "\n";
		echo '<tr>', "\n";
		echo '	<th>Player</th>', "\n";
		echo '	<th>Answer</th>', "\n";
		echo '	<th>Correct?</th>', "\n";
		echo '</tr>', "\n";
		echo '</thead>', "\n";
		echo '<tbody>', "\n";

		for ( $i = 0; $i < $num_entries; $i++ )
		{
			echo '<tr', ( $entries[$i]['correct'] == 'Y' ? ' class="selected">' : '>' ), "\n";

			echo '	<td class="player">', str_format( $entries[$i]['name'] ), '<br />',
				str_format( $entries[$i]['email'] ), '</td>', "\n";

			echo '	<td class="answer">', str_format( $entries[$i]['answer'] ), '</td>', "\n";

			echo '	<td class="check"><div></div>', "\n";
			echo '	<input type="hidden" name="entries[', $i, '][name]" value="',  str_format( $entries[$i]['name'] ), '" />', "\n";
			echo '	<input type="hidden" name="entries[', $i, '][email]" value="', str_format( $entries[$i]['email'] ), '" />', "\n";
			echo '	<input type="hidden" name="entries[', $i, '][question]" value="', str_format( $Question-1 ), '" />', "\n";
			echo '	<input type="hidden" name="entries[', $i, '][answer]" value="', str_format( $entries[$i]['answer'] ), '" />', "\n";
			echo '	<input type="hidden" name="entries[', $i, '][correct]" value="', ( $entries[$i]['correct'] == 'Y' ? 'Y' : 'N' ), '" />', "\n";
			echo '	</td>', "\n";

			echo '</tr>', "\n";
		}

		echo '</tbody>', "\n";

		echo '<tfoot>', "\n";
		echo '<tr>', "\n";
		echo '	<th colspan="3"><span class="submit button">Submit</span></th>', "\n";
		echo '</tr>', "\n";
		echo '</tfoot>', "\n";

		echo '</table>', "\n";
		echo '</form>', "\n";
	}
	else
	{
		echo message( 'message', 'There are no entries to mark.' );
	}
}


// display error messages
else if ( $Display == 'error' )
{
	echo '<div id="content-box">', "\n";
	echo '<h2>Error</h2>', "\n";
	echo message( 'error', $Message );
	echo '</div>', "\n";
}


echo footer( true );

?>


</body>
</html>
