<?php
/*
 *	PHP Contest Scoreboard - run contests on your web site
 *
 *	Copyright (C) 2003-2007 Scott Vivian
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License . or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *	GNU General Public License for more details.
 */

include_once 'config.php';


function leaderboard()
{
	$scores = get_scores();
	$num_scores = count( $scores );
	usort( $scores, 'cmp_scores' );

	$HTML = '<table id="entries">' . "\n";
	$HTML .= '<thead>' . "\n";
	$HTML .= '<tr>' . "\n";
	$HTML .= '	<th>Player</th>' . "\n";
	$HTML .= '	<th>Points</th>' . "\n";
	$HTML .= '</tr>' . "\n";
	$HTML .= '</thead>' . "\n";
	$HTML .= '<tbody>' . "\n";

	for ( $i = 0; $i < $num_scores; $i++ )
	{
		$HTML .= '<tr>' . "\n";
		$HTML .= '	<td class="player">' . str_format( $scores[$i]['name'] ) . '</td>' . "\n";
		$HTML .= '	<td>' . $scores[$i]['points'] . '</td>' . "\n";
		$HTML .= '</tr>' . "\n";
	}

	$HTML .= '</tbody>' . "\n";

	$HTML .= '<tfoot>' . "\n";
	$HTML .= '<tr>' . "\n";
	$HTML .= '	<th colspan="2"></th>' . "\n";
	$HTML .= '</tr>' . "\n";
	$HTML .= '</tfoot>' . "\n";

	$HTML .= '</table>' . "\n";

	return $HTML;
}



// leaderboard is displayed inline with page
if ( $display_inline )
{
	echo leaderboard();
	echo footer();
}

// leaderboard is displayed in a popup window
else
{
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-gb" xml:lang="en-gb">

<head>
<title>Contest Leaderboard</title>
<link rel="stylesheet" type="text/css" href="stylesheet.css" />
</head>

<body>

<?php
	echo '<h1>', $scoreboard['site_name'], '</h1>', "\n";
	echo '<h2>Contest leaderboard</h2>', "\n";
	
	echo leaderboard();
	echo footer();
}
?>
